Package org.kie.internal.task.api

## Interface TaskContentService

-     public interface TaskContentService

  The Task Content Service is intended to handle the information which is stored inside a Task. The information inside the Task Content represents the information required for the Task to be completed. This information can be divided into: - Task Input: The data used by the Human Actor as a context to do the job - Task Output: The data entered by the Human Actor as the result of the work that is being done.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addMarshallerContext​(String ownerId, ContentMarshallerContext context)` |
    `long` | `addOutputContent​(long taskId, Map<String,​Object> params)` |
    `void` | `deleteDocumentContent​(long taskId, long contentId)` |
    `List<org.kie.api.task.model.Content>` | `getAllContentByTaskId​(long taskId)` |
    `org.kie.api.task.model.Content` | `getContentById​(long contentId)` |
    `ContentMarshallerContext` | `getMarshallerContext​(org.kie.api.task.model.Task task)` |
    `org.kie.api.task.model.Task` | `loadTaskVariables​(org.kie.api.task.model.Task task)` |
    `void` | `removeMarshallerContext​(String ownerId)` |
    `long` | `setDocumentContent​(long taskId, org.kie.api.task.model.Content content)` |

- - ### Method Detail

    - #### setDocumentContent

          long setDocumentContent​(long taskId,
                                  org.kie.api.task.model.Content content)

    - #### addOutputContent

          long addOutputContent​(long taskId,
                                Map<String,​Object> params)

    - #### deleteDocumentContent

          void deleteDocumentContent​(long taskId,
                                     long contentId)

    - #### getAllContentByTaskId

          List<org.kie.api.task.model.Content> getAllContentByTaskId​(long taskId)

    - #### getContentById

          org.kie.api.task.model.Content getContentById​(long contentId)

    - #### addMarshallerContext

          void addMarshallerContext​(String ownerId,
                                    ContentMarshallerContext context)

    - #### removeMarshallerContext

          void removeMarshallerContext​(String ownerId)

    - #### getMarshallerContext

          ContentMarshallerContext getMarshallerContext​(org.kie.api.task.model.Task task)

    - #### loadTaskVariables

          org.kie.api.task.model.Task loadTaskVariables​(org.kie.api.task.model.Task task)